# Get current user's daily rewards

Client endpoint. Gets the current user's daily rewards.
NoticeA method returns a paginated list of items. The maximum and default value is 50 items per response. To get more items from the list, use the limit and offset parameters and fetch more pages. For example, when calling a method with limit = 25 and offset = 100, the response returns 25 items starting from the 101st item in the overall list.  
  Note
    This API call uses a user JWT for authorization.
    Include the token in the Authorization header in the following format: Bearer &lt;user_JWT&gt;. For more information about user JWT, see the Security block for this call.

Endpoint: GET /v2/project/{project_id}/user/daily_chain
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Query parameters:

  - `limit` (integer)
    Limit for the number of elements on the page.
    Example: 50

  - `offset` (integer)
    Number of the element from which the list is generated (the count starts from 0).

## Response 200 fields (application/json):

  - `has_more` (boolean)
    Used as an indicator that there are more pages.
    Example: true

  - `total_items_count` (integer)
    Total number of daily rewards.
    Example: 3

  - `items` (array)

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


